org.gradle.platform.base

## Interface ComponentSpecContainer

- All Superinterfaces:
    CollectionBuilder<ComponentSpec>, Iterable<ComponentSpec>, ModelMap<ComponentSpec>

      @Incubating
      public interface ComponentSpecContainer
      extends ModelMap<ComponentSpec>

  A container of software components. TODO:DAZ Merge with org.gradle.api.component.SoftwareComponentContainer

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.model.ModelMap

      `afterEach, afterEach, all, beforeEach, beforeEach, containsKey, containsValue, create, create, create, create, get, get, isEmpty, keySet, named, named, size, values, withType, withType, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `iterator`